#include <iostream>
#include <string>

using namespace std;

int n;
string s;
string cache[100][100];

int which_move(int p, int q)
{
	if ((q - p + 1) % 2 == n % 2) return 1;
	return 2;
}

string get(int p, int q)
{
	if (p == q) return string(1, s[p]);
	if (cache[p][q] != "!!!") return cache[p][q];
	cache[p][q] = "";
	int who = which_move(p, q);
	if (who == 1) cache[p][q] = max(string(1, s[p]) + get(p + 1, q), string(1, s[q]) + get(p, q - 1));
	else cache[p][q] = min(string(1, s[p]) + get(p + 1, q), string(1, s[q]) + get(p, q - 1));
	return cache[p][q];
}

int main()
{
    freopen("game.in", "rt", stdin);
    freopen("game.out", "wt", stdout);
	cin >> s;
	n = s.size();
	for (int i = 0; i < n; i++)
		for (int j = 0; j < n; j++)
			cache[i][j] = "!!!";
	cout << get(0, n - 1) << "\n";
	return 0;
}
