#define _CRT_SECURE_NO_WARNINGS

#include <string>
#include <vector>
#include <cmath>
#include <map>
#include <algorithm>
#include <set>
#include <iostream>
#include <sstream>
#include <cstdio>
#include <cassert>
#include <utility>

using namespace std;

#define EPS 1E-8

#define forn(i, n) for (int i = 0; i < int(n); i++)
#define forv(i, a) for (int i = 0; i < int(a.size()); i++)
#define fors(i, a) for (int i = 0; i < int(a.length()); i++)
#define all(a) a.begin(), a.end()
#define pb push_back
#define mp make_pair
#define VI vector<int>
#define VS vector<string>

#define norm(a) sort(all(a)); a.erase(unique(all(a)), a.end());
#define num(a, v) (int)(lower_bound(all(a), v) - a.begin())

#define C_IN_FILE "game.in"
#define C_OUT_FILE "game.out"

const int NMAX = 110;

string s;
string ans;

string d[NMAX][NMAX];
int smove;

void outdata() {
	cout << ans << endl;
}

string calc(int l, int r) {
	if (l == r) return string(1, s[l]);
	if (d[l][r] != string("-")) return d[l][r];
    string a, b;
    a = string(1, s[l]) + calc(l + 1, r);
    b = string(1, s[r]) + calc(l, r - 1);
    if ((l + r) % 2 == smove) 
    	return d[l][r] = min(a, b); 
    else 
    	return d[l][r] = max(a, b);
}

void solve() {
	fors(i, s) fors(j, s) d[i][j] = "-";
	smove = (int)s.length() % 2;
	ans = calc(0, s.length() - 1);
}

void readdata() {
	getline(cin, s);
	assert(1 <= (int)s.length() && (int)s.length() <= 100);
	fors(i, s) assert('a' <= s[i] && s[i] <= 'z');
}

int main() {
    freopen(C_IN_FILE, "rt", stdin);
    freopen(C_OUT_FILE, "wt", stdout);
	readdata();
	solve();
	outdata();
	return 0;
}
